%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

Name:           perl-Unicode-MapUTF8
Version:        1.09
Release:        4
Epoch:          0
Summary:        Conversions to and from arbitrary character sets and UTF8

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Unicode-MapUTF8/
Source0:        http://www.cpan.org/authors/id/S/SN/SNOWHARE/Unicode-MapUTF8-1.09.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Jcode), perl(Unicode::String), perl(Unicode::Map)
BuildRequires:  perl(Unicode::Map8)

%description
Unicode::MapUTF8 Provides an adapter layer between core routines for
converting to and from UTF8 and other encodings. In essence, a way to
give multiple existing Unicode modules a single common interface so
you don't have to know the underlaying implementations to do simple
UTF8 to-from other character set string conversions. As such, it wraps
the Unicode::String, Unicode::Map8, Unicode::Map and Jcode modules in
a standardized and simple API.


%prep
%setup -q -n Unicode-MapUTF8-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install \
  PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
  INSTALLARCHLIB=$RPM_BUILD_ROOT%{perl_archlib}
find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{perl_vendorlib}/Unicode
%{_mandir}/man3/*.3*


%changelog
* Mon Feb  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.09-0.fdr.4
- Reduce directory ownership bloat.

* Sat Oct 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.09-0.fdr.3
- Install into vendor dirs.
- Specfile cleanup.

* Mon Jul  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.09-0.fdr.2
- Regenerate %%install section with cpanflute2.
- Improve %%description.

* Wed May  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.09-0.fdr.1
- Update to current Fedora guidelines.

* Sun Mar  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.09-1.fedora.1
- First Fedora release.
